*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

.nav:not(#tabs) {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  width: 4.5rem;
  background-color: #0a0a0a;
  -webkit-transition: 1s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: 1s cubic-bezier(0.645, 0.045, 0.355, 1);
  will-change: width;
  z-index: 99;
}
.nav.is-active:not(#tabs) {
  width: 100%;
}

.nav__trigger {
  display: block;
  position: absolute;
  top: 50%;
  right: 1rem;
  margin-top: -10px;
  padding: 8px 0;
  -webkit-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out;
  z-index: 10;
}
.nav__trigger .bars {
  position: relative;
}
.nav__trigger .bars, .nav__trigger .bars:before, .nav__trigger .bars:after {
  width: 40px;
  height: 4px;
  background-color: #9ac6ac;
  border-radius: 4px;
  -webkit-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out;
}
.nav__trigger .bars:before, .nav__trigger .bars:after {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  will-change: transform;
}
.nav__trigger .bars:before {
  -webkit-transform: translateY(-8px);
          transform: translateY(-8px);
}
.nav__trigger .bars:after {
  -webkit-transform: translateY(8px);
          transform: translateY(8px);
}
.nav__trigger.is-active {
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
}
.nav__trigger.is-active .bars:before, .nav__trigger.is-active .bars:after {
  -webkit-transform: translateX(0) rotate(-90deg);
          transform: translateX(0) rotate(-90deg);
}

.nav__content {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  max-width: 1200px;
  padding: 1rem 3.75rem 1rem 2.75rem;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transition: 0s linear 0.25s;
  transition: 0s linear 0.25s;
}
.nav__content.is-active {
  visibility: visible;
  opacity: 1;
  -webkit-transition: 0s linear;
  transition: 0s linear;
}
.nav__content.is-active .nav__item a {
  opacity: 1;
  -webkit-transform: translateY(0);
          transform: translateY(0);
  -webkit-transition-property: opacity, color, -webkit-transform;
  transition-property: opacity, color, -webkit-transform;
  transition-property: transform, opacity, color;
  transition-property: transform, opacity, color, -webkit-transform;
  -webkit-transition-duration: 0.55s, 0.55s, 0.3s;
          transition-duration: 0.55s, 0.55s, 0.3s;
  -webkit-transition-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1), ease-in-out, ease-in-out;
          transition-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1), ease-in-out, ease-in-out;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(1) a {
  -webkit-transition-delay: 0s, 0s, 0s;
          transition-delay: 0s, 0s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(2) a {
  -webkit-transition-delay: 0.05s, 0.05s, 0s;
          transition-delay: 0.05s, 0.05s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(3) a {
  -webkit-transition-delay: 0.1s, 0.1s, 0s;
          transition-delay: 0.1s, 0.1s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(4) a {
  -webkit-transition-delay: 0.15s, 0.15s, 0s;
          transition-delay: 0.15s, 0.15s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(5) a {
  -webkit-transition-delay: 0.2s, 0.2s, 0s;
          transition-delay: 0.2s, 0.2s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(6) a {
  -webkit-transition-delay: 0.25s, 0.25s, 0s;
          transition-delay: 0.25s, 0.25s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(7) a {
  -webkit-transition-delay: 0.3s, 0.3s, 0s;
          transition-delay: 0.3s, 0.3s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(8) a {
  -webkit-transition-delay: 0.35s, 0.35s, 0s;
          transition-delay: 0.35s, 0.35s, 0s;
}
.nav__content.is-active .nav__list .nav__item:nth-of-type(9) a {
  -webkit-transition-delay: 0.4s, 0.4s, 0s;
          transition-delay: 0.4s, 0.4s, 0s;
}

.nav__list ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav__item:not(#tabs) {
  overflow: hidden;
}
.nav__item a {
  display: inline-block;
  color: #9ac6ac;
  text-decoration: none;
  font-size: 2rem;
  font-size: 8vw;
  font-size: 14vmin;
  font-weight: 300;
  font-family: 'Oswald', sans-serif;
  opacity: 0;
  -webkit-transform: translateY(100%);
          transform: translateY(100%);
  -webkit-transition: 0.5s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: 0.5s cubic-bezier(0.645, 0.045, 0.355, 1);
  will-change: transform, opacity;
}
.nav__item:not(#tabs) a:hover {
  color: white;
}

.nav__divider {
  margin: 1.75rem 0 1.5rem;
  width: 100%;
  height: 2px;
  background-color: #9ac6ac;
  -webkit-transform: scaleX(0);
          transform: scaleX(0);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  -webkit-transition: 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.nav:not(#tabs) .nav-elements{
  margin: 0.4rem;
  width: 3.8rem;
  display: inline-block;
}
.nav:not(#tabs) .nav-elements-empty{
  margin: 0.3rem;
  height: 75%;
}
.nav:not(#tabs) .nav-container-bottom{
  display: inline-block;
  position: absolute;
  bottom: 0;
}
.nav:not(#tabs) .nav-elements-bottom{
  margin: 0.4rem;
  width: 3.8rem;
}

.nav:not(#tabs) .nav-container-top{
  display: inline-block;
  position: absolute;
  top: 0;
}
